Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 4328)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 4329)
@@ -892,33 +895,33 @@
 !--             scalar - y-direction                                           
 !--             WS1 (3), WS3 (4), WS5 (5)                                      
-                IF ( ( .NOT. BTEST(wall_flags_0(k,j+1,i),0)                    &
-                 .OR.  .NOT. BTEST(wall_flags_0(k,j+2,i),0)                    &   
-                 .OR.  .NOT. BTEST(wall_flags_0(k,j-1,i),0))                   &
-                   .OR.  ( non_cyclic_s  .AND.  j == 0  )                      &
-                   .OR.  ( non_cyclic_n  .AND.  j == ny ) )  THEN                                                           
+                IF ( ( .NOT. BTEST(wall_flags_static_0(k,j+1,i),0)        .OR.        &
+                       .NOT. BTEST(wall_flags_static_0(k,j+2,i),0)        .OR.        &   
+                       .NOT. BTEST(wall_flags_static_0(k,j-1,i),0))       .OR.        &
+                     ( non_cyclic_s  .AND.  j == 0  )                     .OR.        &
+                     ( non_cyclic_n  .AND.  j == ny ) )  THEN                                                           
                    advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 3 )             
 !                                                                              
 !--             WS3                                                            
-                ELSEIF ( ( .NOT. BTEST(wall_flags_0(k,j+3,i),0)                &
-                    .AND.        BTEST(wall_flags_0(k,j+1,i),0)                &
-                    .AND.        BTEST(wall_flags_0(k,j+2,i),0)                &
-                    .AND.        BTEST(wall_flags_0(k,j-1,i),0)                &
-                         )                       .OR.                          &
-                         ( .NOT. BTEST(wall_flags_0(k,j-2,i),0)                &
-                    .AND.        BTEST(wall_flags_0(k,j+1,i),0)                &
-                    .AND.        BTEST(wall_flags_0(k,j+2,i),0)                &
-                    .AND.        BTEST(wall_flags_0(k,j-1,i),0)                &
-                         )                                                     &
-                                                 .OR.                          &
-                         ( non_cyclic_s  .AND.  j == 1    )  .OR.              &
+                ELSEIF ( ( .NOT. BTEST(wall_flags_static_0(k,j+3,i),0)    .AND.       &
+                                 BTEST(wall_flags_static_0(k,j+1,i),0)    .AND.       &
+                                 BTEST(wall_flags_static_0(k,j+2,i),0)    .AND.       &
+                                 BTEST(wall_flags_static_0(k,j-1,i),0)                &
+                         )                       .OR.                                 &
+                         ( .NOT. BTEST(wall_flags_static_0(k,j-2,i),0)    .AND.       &
+                                 BTEST(wall_flags_static_0(k,j+1,i),0)    .AND.       &
+                                 BTEST(wall_flags_static_0(k,j+2,i),0)    .AND.       &
+                                 BTEST(wall_flags_static_0(k,j-1,i),0)                &
+                         )                                                            &
+                                                 .OR.                                 &
+                         ( non_cyclic_s  .AND.  j == 1    )  .OR.                     &
                          ( non_cyclic_n  .AND.  j == ny-1 ) )  THEN           
                    advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 4 )             
 !                                                                              
 !--             WS5                                                            
-                ELSEIF ( BTEST(wall_flags_0(k,j+1,i),0)                        &
-                   .AND. BTEST(wall_flags_0(k,j+2,i),0)                        &
-                   .AND. BTEST(wall_flags_0(k,j+3,i),0)                        &
-                   .AND. BTEST(wall_flags_0(k,j-1,i),0)                        &
-                   .AND. BTEST(wall_flags_0(k,j-2,i),0) )                      &
+                ELSEIF ( BTEST(wall_flags_static_0(k,j+1,i),0)           .AND.        &
+                         BTEST(wall_flags_static_0(k,j+2,i),0)           .AND.        &
+                         BTEST(wall_flags_static_0(k,j+3,i),0)           .AND.        &
+                         BTEST(wall_flags_static_0(k,j-1,i),0)           .AND.        &
+                         BTEST(wall_flags_static_0(k,j-2,i),0) )                      &
                 THEN                                                           
                    advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 5 )             
@@ -928,5 +931,5 @@
 !--             for passive scalars, even if only one direction may be 
 !--             blocked by topography. These locations will be identified
-!--             by wall_flags_0 bit 31. Note, since several modules define 
+!--             by wall_flags_static_0 bit 31. Note, since several modules define 
 !--             advection flags but may apply different scalar boundary 
 !--             conditions, bit 31 is temporarily stored on advc_flags. 
@@ -1076,18 +1079,18 @@
                                                                                
                 flag_set = .FALSE.                                             
-                IF ( .NOT. BTEST(wall_flags_0(k-1,j,i),0)  .AND.               &
-                           BTEST(wall_flags_0(k,j,i),0)    .OR.                &
-                     .NOT. BTEST(wall_flags_0(k_pp,j,i),0) .AND.               &                              
-                           BTEST(wall_flags_0(k,j,i),0)    .OR.                &
+                IF ( .NOT. BTEST(wall_flags_static_0(k-1,j,i),0)  .AND.               &
+                           BTEST(wall_flags_static_0(k,j,i),0)    .OR.                &
+                     .NOT. BTEST(wall_flags_static_0(k_pp,j,i),0) .AND.               &                              
+                           BTEST(wall_flags_static_0(k,j,i),0)    .OR.                &
                      k == nzt )                                                &
                 THEN                                                           
                    advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 6 )             
                    flag_set = .TRUE.                                           
-                ELSEIF ( ( .NOT. BTEST(wall_flags_0(k_mm,j,i),0)    .OR.       &
-                           .NOT. BTEST(wall_flags_0(k_ppp,j,i),0) ) .AND.      & 
-                                 BTEST(wall_flags_0(k-1,j,i),0)     .AND.      &
-                                 BTEST(wall_flags_0(k,j,i),0)       .AND.      &
-                                 BTEST(wall_flags_0(k+1,j,i),0)     .AND.      &
-                                 BTEST(wall_flags_0(k_pp,j,i),0)    .AND.      &
+                ELSEIF ( ( .NOT. BTEST(wall_flags_static_0(k_mm,j,i),0)    .OR.       &
+                           .NOT. BTEST(wall_flags_static_0(k_ppp,j,i),0) ) .AND.      & 
+                                 BTEST(wall_flags_static_0(k-1,j,i),0)     .AND.      &
+                                 BTEST(wall_flags_static_0(k,j,i),0)       .AND.      &
+                                 BTEST(wall_flags_static_0(k+1,j,i),0)     .AND.      &
+                                 BTEST(wall_flags_static_0(k_pp,j,i),0)    .AND.      &
                            .NOT. flag_set                           .OR.       & 
                          k == nzt - 1 )                                        &
@@ -1095,10 +1098,10 @@
                    advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 7 )             
                    flag_set = .TRUE.                                           
-                ELSEIF ( BTEST(wall_flags_0(k_mm,j,i),0)  .AND.                &
-                         BTEST(wall_flags_0(k-1,j,i),0)   .AND.                &
-                         BTEST(wall_flags_0(k,j,i),0)     .AND.                &
-                         BTEST(wall_flags_0(k+1,j,i),0)   .AND.                &
-                         BTEST(wall_flags_0(k_pp,j,i),0)  .AND.                &
-                         BTEST(wall_flags_0(k_ppp,j,i),0) .AND.                &
+                ELSEIF ( BTEST(wall_flags_static_0(k_mm,j,i),0)  .AND.                &
+                         BTEST(wall_flags_static_0(k-1,j,i),0)   .AND.                &
+                         BTEST(wall_flags_static_0(k,j,i),0)     .AND.                &
+                         BTEST(wall_flags_static_0(k+1,j,i),0)   .AND.                &
+                         BTEST(wall_flags_static_0(k_pp,j,i),0)  .AND.                &
+                         BTEST(wall_flags_static_0(k_ppp,j,i),0) .AND.                &
                         .NOT. flag_set )                                       &
                 THEN
Index: /palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4289 2019-11-05 14:33:41Z knoop
 ! Removed parameters precipitation and precipitation_amount_interval from namelist
 ! 
@@ -141,5 +144,5 @@
                nbgp, nxl, nxlg, nxr, nxrg, nys, nysg, nyn, nyng, nzb, nzt,     &
                topo_top_ind,                                                   &
-               wall_flags_0
+               wall_flags_static_0
 
     USE kinds
@@ -1396,5 +1399,5 @@
                                              )                                 &
                                     * MERGE( 1.0_wp, 0.0_wp,                   &
-                                             BTEST( wall_flags_0(k,j,i), 0 )   &
+                                             BTEST( wall_flags_static_0(k,j,i), 0 )   &
                                           )
                    IF ( qc_p(k,j,i) < 0.0_wp )  qc_p(k,j,i) = 0.0_wp
@@ -1486,5 +1489,5 @@
                                              )                                 &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                             BTEST( wall_flags_0(k,j,i), 0 )   &
+                                             BTEST( wall_flags_static_0(k,j,i), 0 )   &
                                           )
                    IF ( nc_p(k,j,i) < 0.0_wp )  nc_p(k,j,i) = 0.0_wp
@@ -1583,5 +1586,5 @@
                                              )                                 &
                                     * MERGE( 1.0_wp, 0.0_wp,                   &
-                                             BTEST( wall_flags_0(k,j,i), 0 )   &
+                                             BTEST( wall_flags_static_0(k,j,i), 0 )   &
                                           )
                    IF ( qr_p(k,j,i) < 0.0_wp )  qr_p(k,j,i) = 0.0_wp
@@ -1673,5 +1676,5 @@
                                              )                                 &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                             BTEST( wall_flags_0(k,j,i), 0 )   &
+                                             BTEST( wall_flags_static_0(k,j,i), 0 )   &
                                           )
                    IF ( nr_p(k,j,i) < 0.0_wp )  nr_p(k,j,i) = 0.0_wp
@@ -1770,5 +1773,5 @@
                                        )                                 &
                                  * MERGE( 1.0_wp, 0.0_wp,                &
-                                          BTEST( wall_flags_0(k,j,i), 0 )&
+                                          BTEST( wall_flags_static_0(k,j,i), 0 )&
                                         )
              IF ( qc_p(k,j,i) < 0.0_wp )  qc_p(k,j,i) = 0.0_wp
@@ -1829,5 +1832,5 @@
                                        )                                 &
                                  * MERGE( 1.0_wp, 0.0_wp,                &
-                                          BTEST( wall_flags_0(k,j,i), 0 )&
+                                          BTEST( wall_flags_static_0(k,j,i), 0 )&
                                         )
              IF ( nc_p(k,j,i) < 0.0_wp )  nc_p(k,j,i) = 0.0_wp
@@ -1894,5 +1897,5 @@
                                        )                                 &
                                  * MERGE( 1.0_wp, 0.0_wp,                &
-                                          BTEST( wall_flags_0(k,j,i), 0 )&
+                                          BTEST( wall_flags_static_0(k,j,i), 0 )&
                                         )
              IF ( qr_p(k,j,i) < 0.0_wp )  qr_p(k,j,i) = 0.0_wp
@@ -1953,5 +1956,5 @@
                                        )                                 &
                                  * MERGE( 1.0_wp, 0.0_wp,                &
-                                          BTEST( wall_flags_0(k,j,i), 0 )&
+                                          BTEST( wall_flags_static_0(k,j,i), 0 )&
                                         )
              IF ( nr_p(k,j,i) < 0.0_wp )  nr_p(k,j,i) = 0.0_wp
@@ -2501,5 +2504,5 @@
                                      to_be_resorted(k,j,i),                    &
                                      REAL( fill_value, KIND = wp ),            &
-                                     BTEST( wall_flags_0(k,j,i), flag_nr )     &
+                                     BTEST( wall_flags_static_0(k,j,i), flag_nr )     &
                                   )
              ENDDO
@@ -2643,5 +2646,5 @@
                                      to_be_resorted(k,j,i),                    &
                                      REAL( fill_value, KIND = wp ),            &
-                                     BTEST( wall_flags_0(k,j,i), flag_nr )     &
+                                     BTEST( wall_flags_static_0(k,j,i), flag_nr )     &
                                   )
              ENDDO
@@ -3043,5 +3046,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 IF ( qr(k,j,i) <= eps_sb )  THEN
@@ -3097,5 +3100,5 @@
 !
 !--       Predetermine flag to mask topography
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
           IF ( qr(k,j,i) <= eps_sb )  THEN
@@ -3165,5 +3168,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
 !
@@ -3266,5 +3269,5 @@
 !
 !--       Predetermine flag to mask topography
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 !
 !--       Call calculation of supersaturation
@@ -3366,5 +3369,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 !
 !--             Call calculation of supersaturation 
@@ -3453,5 +3456,5 @@
 !
 !--       Predetermine flag to mask topography
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 !
 !--       Call calculation of supersaturation
@@ -3542,5 +3545,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 IF ( microphysics_morrison ) THEN
@@ -3668,5 +3671,5 @@
 !
 !--       Predetermine flag to mask topography
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
           IF ( microphysics_morrison ) THEN
              nc_auto = nc(k,j,i)
@@ -3779,5 +3782,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 IF ( qc(k,j,i) > ql_crit )  THEN
@@ -3826,5 +3829,5 @@
 !
 !--       Predetermine flag to mask topography
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
           IF ( qc(k,j,i) > ql_crit )  THEN
@@ -3877,5 +3880,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 IF ( microphysics_morrison ) THEN
@@ -3958,5 +3961,5 @@
 !
 !--       Predetermine flag to mask topography
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
           IF ( microphysics_morrison ) THEN
              nc_accr = nc(k,j,i)
@@ -4038,5 +4041,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 IF ( qr(k,j,i) > eps_sb )  THEN
@@ -4093,5 +4096,5 @@
 !
 !--       Predetermine flag to mask topography
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
           IF ( qr(k,j,i) > eps_sb )  THEN
@@ -4155,5 +4158,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 IF ( qr(k,j,i) > eps_sb )  THEN
@@ -4277,5 +4280,5 @@
 !
 !--       Predetermine flag to mask topography
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
           IF ( qr(k,j,i) > eps_sb )  THEN
@@ -4391,5 +4394,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 IF ( microphysics_morrison ) THEN
@@ -4485,5 +4488,5 @@
 !
 !--       Predetermine flag to mask topography
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
           IF ( microphysics_morrison ) THEN
              nc_sedi = nc(k,j,i)
@@ -4591,5 +4594,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 IF ( qr(k,j,i) > eps_sb )  THEN
@@ -4656,5 +4659,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 c_nr(k) = 0.25_wp * ( w_nr(k-1) +                              &
@@ -4672,5 +4675,5 @@
 !
 !--                Predetermine flag to mask topography
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                    d_mean = 0.5_wp * ( qr(k+1,j,i) - qr(k-1,j,i) )
@@ -4706,5 +4709,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 !
 !--             Sum up all rain drop number densities which contribute to the flux
@@ -4833,5 +4836,5 @@
 !
 !--       Predetermine flag to mask topography
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
           IF ( qr(k,j,i) > eps_sb )  THEN
@@ -4893,5 +4896,5 @@
 !
 !--       Predetermine flag to mask topography
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
           c_nr(k) = 0.25_wp * ( w_nr(k-1) + 2.0_wp * w_nr(k) + w_nr(k+1) ) *   &
@@ -4907,5 +4910,5 @@
 !
 !--          Predetermine flag to mask topography
-             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
              d_mean = 0.5_wp * ( qr(k+1,j,i) - qr(k-1,j,i) )
@@ -4940,5 +4943,5 @@
 !
 !--       Predetermine flag to mask topography
-          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+          flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 !
 !--       Sum up all rain drop number densities which contribute to the flux
@@ -5150,5 +5153,5 @@
 !
 !--             Predetermine flag to mask topography
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
 !
Index: /palm/trunk/SOURCE/calc_mean_profile.f90
===================================================================
--- /palm/trunk/SOURCE/calc_mean_profile.f90	(revision 4328)
+++ /palm/trunk/SOURCE/calc_mean_profile.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -63,5 +66,5 @@
        USE indices,                                                            &
            ONLY:  ngp_2dh_s_inner, nxl, nxr, nyn, nys, nzb, nzb, nzt,          &
-                  wall_flags_0
+                  wall_flags_static_0
 
        USE kinds
@@ -107,5 +110,5 @@
                    sums_l(k,pr,tn) = sums_l(k,pr,tn) + var(k,j,i)              &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 22 ) )
+                                              BTEST( wall_flags_static_0(k,j,i), 22 ) )
                 ENDDO
              ENDDO
Index: /palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4329)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4306 2019-11-25 12:04:48Z banzhafs
 ! Corretion for r4304 commit
 !
@@ -246,5 +249,5 @@
     USE indices,                                                                                   &
          ONLY:  advc_flags_s,                                                                      &
-                nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nz, nzb, nzt, wall_flags_0
+                nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nz, nzb, nzt, wall_flags_static_0
 
     USE pegrid,                                                                                    &
@@ -917,5 +920,5 @@
                 DO  j = nysg, nyng
                    DO  k = nzb+1, nzt
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       cs_3d(k,j,i) = cs_pr_init(k) * flag
                    ENDDO
@@ -942,5 +945,5 @@
                 DO  j = nysg, nyng
                    DO  k = nzb+1, nzt
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       cs_3d(k,j,i) = cs_3d(k,j,copied) * flag
                    ENDDO
@@ -979,5 +982,5 @@
                 DO  j = ss, ee
                    DO  k = nzb+1, nzt
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       cs_3d(k,j,i) = cs_pr_init(k) * flag
                    ENDDO
@@ -1005,5 +1008,5 @@
                 DO  j = ss, ee
                    DO  k = nzb+1, nzt
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       cs_3d(k,j,i) = cs_3d(k,copied,i) * flag
                    ENDDO
@@ -1328,5 +1331,5 @@
                                               chem_species(lsp)%conc(k,j,i),                       &
                                               REAL( fill_value, KIND = wp ),                       &
-                                              BTEST( wall_flags_0(k,j,i), 0 ) )
+                                              BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -1340,5 +1343,5 @@
                                               chem_species(lsp)%conc_av(k,j,i),                    &
                                               REAL( fill_value, KIND = wp ),                       &
-                                              BTEST( wall_flags_0(k,j,i), 0 ) )
+                                              BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -1436,5 +1439,5 @@
                                              chem_species(lsp)%conc(k,j,i),   &
                                              REAL( fill_value, KIND = wp ),   &
-                                             BTEST( wall_flags_0(k,j,i), 0 ) )
+                                             BTEST( wall_flags_static_0(k,j,i), 0 ) )
                      ENDDO
                   ENDDO
@@ -1449,5 +1452,5 @@
                                              chem_species(lsp)%conc_av(k,j,i),&
                                              REAL( fill_value, KIND = wp ),   &
-                                             BTEST( wall_flags_0(k,j,i), 0 ) )
+                                             BTEST( wall_flags_static_0(k,j,i), 0 ) )
                      ENDDO
                   ENDDO
@@ -1529,9 +1532,9 @@
                       im = mask_i(mid,i)
                       jm = mask_j(mid,j)
-                      ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                      ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                       DO  k = 1, mask_size_l(mid,3)
                          kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                      Set value if not in building
-                         IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                         IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                             local_pf(i,j,k) = fill_value
                          ELSE
@@ -1565,9 +1568,9 @@
                       im = mask_i(mid,i)
                       jm = mask_j(mid,j)
-                      ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                      ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                       DO  k = 1, mask_size_l(mid,3)
                          kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                      Set value if not in building
-                         IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                         IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                             local_pf(i,j,k) = fill_value
                          ELSE
@@ -1892,5 +1895,5 @@
        ALLOCATE( cs_advc_flags_s(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 !
-!--    In case of decyling, set Neumann boundary conditions for wall_flags_0 
+!--    In case of decyling, set Neumann boundary conditions for wall_flags_static_0 
 !--    bit 31 instead of cyclic boundary conditions.
 !--    Bit 31 is used to identify extended degradation zones (please see
@@ -1898,5 +1901,5 @@
 !--    Note, since several also other modules like Salsa or other future 
 !--    one may access this bit but may have other boundary conditions, the 
-!--    original value of wall_flags_0 bit 31 must not be modified. Hence, 
+!--    original value of wall_flags_static_0 bit 31 must not be modified. Hence, 
 !--    store the boundary conditions directly on cs_advc_flags_s. 
 !--    cs_advc_flags_s will be later overwritten in ws_init_flags_scalar and
@@ -1905,5 +1908,5 @@
        cs_advc_flags_s = 0
        cs_advc_flags_s = MERGE( IBSET( cs_advc_flags_s, 31 ), 0,               &
-                                BTEST( wall_flags_0, 31 ) )
+                                BTEST( wall_flags_static_0, 31 ) )
 
        IF ( decycle_chem_ns )  THEN
@@ -2745,5 +2748,5 @@
                      * ( chem_species(ilsp)%conc(k,j,i) - chem_species(ilsp)%conc_pr_init(k) )     &
                      )                                                                             &
-                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 IF ( chem_species(ilsp)%conc_p(k,j,i) < 0.0_wp )  THEN
@@ -2855,5 +2858,5 @@
                )                                                                                   &
                * MERGE( 1.0_wp, 0.0_wp,                                                            &
-               BTEST( wall_flags_0(k,j,i), 0 )                                                     &
+               BTEST( wall_flags_static_0(k,j,i), 0 )                                                     &
                )
 
@@ -2997,5 +3000,5 @@
                         rmask(j,i,sr)  *                                   &
                         MERGE( 1.0_wp, 0.0_wp,                             &
-                        BTEST( wall_flags_0(k,j,i), 22 ) )
+                        BTEST( wall_flags_static_0(k,j,i), 22 ) )
                 ENDDO
              ENDDO
